<!doctype html>
<html lang="en">


	<head>
		<meta charset="utf-8">
			
		  <title>TG-clients: the TextGrid Python library</title>
			
			<meta name="description" content="Between corpora, tools and authority files: TextGrid Repository for Hispanic Studies">
			<meta name="author" content="Dr. José Calvo Tello">

			<meta name="apple-mobile-web-app-capable" content="yes">
			<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
			
			<meta name="viewport" content="width=device-width, initial-scale=1.0">
			
			<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
			<link rel="stylesheet" href="custom.css">
			
			<!-- Theme used for syntax highlighting of code --> 	
			<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->

## TG-clients: the TextGrid Python library


<br />

## CLARIAH-ES, Euskal Herriko Unibertsitatea
### 13-14.06.2023

<hr />

#### José Calvo Tello
##### SUB Göttingen, Text+


--

# Python library tgclients

* New module in TG infrastructure
* More flexible access to the texts and files of TGR
* Direct access to TEI and plaintext
* Queries:
  * TG metadata
  * TEI metadata
  * Text
  * TEI structure

--

# Repo & Documentation
* Python library tgclients: https://gitlab.gwdg.de/dariah-de/textgridrep/textgrid-python-clients
* https://dariah-de.pages.gwdg.de/textgridrep/textgrid-python-clients/docs/index.html

--

# Jupyter Notebook
* Example: https://gitlab.gwdg.de/jose.calvotello/hispanistentag_2023_tgr

--

# Considering
* Import
* Evaluation
* Enrichment
* Publication

					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    